YSTest: YSLib::Components::HorizontalTrack Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
YSLib::Components::HorizontalTrack Class Reference

水平轨道。 More...

`#include <scroll.h>`

Inheritance diagram for YSLib::Components::HorizontalTrack:
[legend]
Collaboration diagram for YSLib::Components::HorizontalTrack:
[legend]

## Public Member Functions

| HorizontalTrack (const Rect &={}, SDst=8)
| 构造：使用指定边界和最小滑块长。
| HorizontalTrack (HorizontalTrack &&)=default
virtual Orientation | GetOrientation () const ynothrow
| 取轨道方向。
Public Member Functions inherited from YSLib::Components::ATrack
| ATrack (const Rect &={}, SDst=8)
| 构造：使用指定边界和大小。
| ATrack (ATrack &&)=default
bool | IsHorizontal () const ynothrow
bool | IsVertical () const ynothrow
Iterator | GetBegin ()
Iterator | GetEnd ()
WidgetRange | GetChildren () override
IWidget & | operator[] (size_t idx) ynoexcept
size_t | GetChildrenCount () const ynothrow
GEvent< void(HUIEvent::EventArgsType)> & | GetThumbDrag () ynothrow
| 滑块拖动事件。
GEvent< void(HScrollEvent::EventArgsType)> & | GetScroll () ynothrow
| 滚动事件。
SDst | GetMinThumbLength () const ynothrow
SDst | GetScrollableLength () const ynothrow
| 取可滚动区域长度。
SDst | GetThumbLength () const ynothrow
| 取轨道方向上的滑块长度。
SDst | GetThumbPosition () const ynothrow
| 取滑块位置。
virtual SDst | GetTrackLength () const ynothrow
| 取轨道方向上的轨道长度。
ValueType | GetLargeDelta () const ynothrow
virtual void | SetThumbLength (SDst)
| 设置轨道方向上的滑块长度。
void | SetThumbPosition (SPos)
| 设置滑块位置。
void | SetMaxValue (ValueType)
| 设置滚动事件关联值最大取值。
void | SetValue (ValueType)
| 设置滚动事件关联值。
void | SetLargeDelta (ValueType)
| 设置大距离滚动偏移量。
void | LocateThumb (ValueType, ScrollCategory=ScrollCategory::ThumbPosition)
| 定位滑块。
Public Member Functions inherited from YSLib::Components::Control
| Control (const Rect &={})
| 构造：使用指定边界，默认背景（同 Widget 默认构造）。
| Control (const Rect &, NoBackgroundTag)
| 构造：使用指定边界，无背景。
| Control (const Control &)
| 复制构造：除容器为空外深复制。
| Control (Control &&)=default
virtual IWidget * | GetBoundControlPtr (const KeyInput &)
| 取按键-指针设备输入默认事件组映射。
void | OnTouch_Close (TouchEventArgs &&)
| 处理屏幕事件：关闭显示。
Public Member Functions inherited from YSLib::Components::Widget
| Widget (const Rect &={}, Color=Drawing::ColorSpace::White, Color=Drawing::ColorSpace::Black)
template<typename _tView , typename _tRenderer , typename _tController >
| Widget (_tView &&pView_=make_unique< View >(), _tRenderer &&pRenderer_=make_unique< Renderer >(), _tController &&pController_={})
| 构造：使用视图指针、渲染器指针和控制器指针，无背景。
| Widget (const Widget &)
| 复制构造：除容器指针为空外深复制。
| Widget (Widget &&)=default
virtual | ~Widget ()
| 析构：虚实现。
SPos | GetX () const ynothrow
SPos | GetY () const ynothrow
SDst | GetWidth () const ynothrow
SDst | GetHeight () const ynothrow
virtual Renderer & | GetRenderer () const ynothrow
| 取渲染器。
virtual View & | GetView () const ynothrow
| 取部件视图。
virtual AController & | GetController () const override
| 取控制器。
void | SetX (SDst _tempArgName)
void | SetY (SDst _tempArgName)
void | SetWidth (SDst _tempArgName)
void | SetHeight (SDst _tempArgName)
void | SetRenderer (unique_ptr< Renderer > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
void | SetView (unique_ptr< View > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
virtual void | Refresh (PaintEventArgs &&)
| 刷新：按指定参数绘制界面并更新状态。
Public Member Functions inherited from YSLib::Components::IWidget
virtual | ~IWidget ()
Public Member Functions inherited from YSLib::GMRange< ScrollEventArgs::ValueType >
ValueType | GetMaxValue () const ynothrow
ValueType | GetValue () const ynothrow

## Additional Inherited Members

Public Types inherited from YSLib::Components::ATrack
enum | Area { None = 0, OnThumb = 1, OnPrev = 2, OnNext = 3 }
| 轨道区域。 More...
typedef ScrollEventArgs::ValueType | ValueType
typedef ystdex::subscriptive_iterator < ATrack, IWidget > | Iterator
Public Attributes inherited from YSLib::Components::Control
std::function< IWidget *(const KeyInput &)> | BoundControlPtr
| 按键-指针设备输入事件组映射。
Protected Member Functions inherited from YSLib::Components::ATrack
Area | CheckArea (SPos) const
| 检查轨道方向指定位置所在的区域。
Protected Attributes inherited from YSLib::Components::ATrack
Thumb | tmbScroll
| 滑块：轨道区域上的滚动框。

## Detailed Description

水平轨道。

Since
  build 205

Definition at line 246 of file scroll.h.

## Constructor & Destructor Documentation

YSLib::Components::HorizontalTrack::HorizontalTrack | ( | const Rect & | = `{}`,
|  | SDst | = `8`
| ) |  |

explicit

构造：使用指定边界和最小滑块长。

Precondition
  断言：宽大于长。

Since
  build 337

YSLib::Components::HorizontalTrack::HorizontalTrack | ( | HorizontalTrack && |  | ) |

inlinedefault

## Member Function Documentation

virtual Orientation YSLib::Components::HorizontalTrack::GetOrientation | ( |  | ) | const

inlinevirtual

取轨道方向。

Implements YSLib::Components::ATrack.

Definition at line 259 of file scroll.h.

The documentation for this class was generated from the following file:

- scroll.h